/***********************************************************
 * $Id: HiLoIdGenerator.java 1006 2014-11-13 14:37:05Z util $
 * 
 * SQL/DAO utilities of clazzes.org
 * http://www.clazzes.org
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 ***********************************************************/

package org.clazzes.util.sql.dao;


public class HiLoIdGenerator extends AbstractHiLoIdGenerator {
    protected Long getInitialHiValue() {
        return this.getBlockSize();
    }
    
    protected Long getHiStepSize() {
        return this.getBlockSize();
    }
    
    protected Long getBaseId() {
        return this.getHiValue();
    }
}
